html {
    background-color: #000000;
    font-family: Poppins;
    color: #fff;
}
/* INDEX.HTML */
.indexhead {
    text-align: center;
    font-size: 10vw;
}
.popuphead {
    text-align: center;
    font-size: 5vw;
}
.indexp {
    font-size: 3.5vw;
    margin: 20% 0 5%;
    text-align: center;
}
.indexa {
    font-weight: 500;
    font-size: 5vw;
    color: white;
    padding: 0 10px;
    text-decoration: none;
    text-align: center;
}
.fooder {
    text-align: center;
    align-items: center;
    display: flex;
    justify-content: center;
    display: flex;
}
.foodercontent {
    margin: 20% 10px 0;
    font-size: 3.1vw;
    font-weight: 700;
    text-decoration: none;
    color: #fff;
}
#agbPopup,
#datenschutzPopup,
#impressumPopup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 999;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
}
.buddonst {
    text-align: center;
    align-items: center;
    display: flex;
    justify-content: center;
}
.closepop {
    font-size: 4vw;
    background-color: #333;
    color: #fff;
    border: none;
    padding: 3% 1%;
    border-radius: 20px;
    cursor: pointer;
    margin: 2%;
}
.agbp {
    text-align: left;
    font-size: 3vw;
    margin: 0 5%;
    padding: 0;
}
.agbptop {
    text-align: left;
    font-size: 4vw;
    margin: 2% 5% 0;
    padding: 0;
}
/**/

.regestrierunghead {
    font-size: 10vw;
}
/* dashboard */
#profile-slider {
    margin: 0 auto;
    opacity: 1;
}

.profile-image {
    display: flex;
    justify-content: center;
    max-width: 100%;
    /* Maximale Breite des Bildes */
    max-height: 100%;
    /* Maximale Höhe des Bildes */
    width: 75vw;
    /* Automatische Breiteneinstellung */
    height: 100vw;
    /* Automatische Höheneinstellung */
    object-fit: cover;
    border: 1px solid #ddd;
    /* Optionale Rahmengestaltung */
    border-radius: 15VW;
    /* Runde Ecken für das Bild (optional) */
    margin: 0 auto;
    padding: 0;
    box-shadow: 0 0 50px rgb(0, 0, 0);
    opacity: 1;
    position: relative; /* Ändern Sie die Position auf 'relative' */
    z-index: 1;
}
.profile{
    display: flex;
    justify-content: center;
    align-items: center;
}
.profile-name {
    position: absolute;
    margin: 0 auto;
    padding: 0;
    color: #fff;
    font-size: 5vw;
    font-weight: 700;
    background-color: rgba(35, 35, 35, 0.6);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 1);
    z-index: 3;
    top: 130vw; /* Anpassen Sie den Wert hier, um den Text nach unten zu verschieben */
}
.profile-name2 {
    position: absolute;
    margin: 0 auto;
    padding: 0;
    color: #fff;
    font-size: 5vw;
    font-weight: 600;
    text-shadow: 0px 0px 3vw rgba(0, 0, 0, 1);
    -webkit-text-stroke: #000000 1px;
    z-index: 3;
    top: 105vw; /* Anpassen Sie den Wert hier, um den Text nach unten zu verschieben */
    cursor: default;
}
.birthdate{
    position: absolute;
    margin: 0 auto;
    padding: 0;
    color: #fff;
    font-size: 5vw;
    font-weight: 600;
    z-index: 3;
    text-shadow: 0px 0px 3vw rgba(0, 0, 0, 1);
    -webkit-text-stroke: #000000 1px;
    top: 113vw; /* Anpassen Sie den Wert hier, um den Text nach unten zu verschieben */
    cursor: pointer;
}
.profile-imagelayer {
    position: absolute;
    z-index: 2;
    top: 103.9vw;
    width: 76.29vw;
    height: 18.41vw;
    background-color: rgba(35, 35, 35, 0.6);
    box-shadow: 0px 0px 10vw rgba(0, 0, 0, 1);
    border-radius: 0 0vw 15vw 15vw;
}
.button-image {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#dislike-image,
#like-image {
    width: 22%;
    height: 50%;
    margin: 5% 7% 5%;
    border-radius: 50%;
    box-shadow: 0 0 20px transparent;
    transition: box-shadow 0.3s ease;
    cursor: pointer;
}

#dislike-image:hover,
#like-image:hover {
    box-shadow: 0 0 20px transparent;
}

.infotext {
    color: #fff;
    text-align: center;
    color: #fff; 
    text-align: center; 
    font-size: 5vw; 
    margin: 30% 5%;
}
.logoouto {
    padding: 5px 15px;
    border-radius: 20px;
    font-size: 3vw;
    text-decoration: none;
    color: #fff;
    background-color: #333;
}
.headerino {
    width: 50%;
    margin-bottom: 0;
}
.dashhead {
    display: flex;
    justify-content: space-between;
}
.welc {
    font-size: 5vw;
    margin: 0;
    padding: 0;
}
.likeri {
    font-size: 4vw;
    margin: 0 0 5%;
    padding: 0;

}
.disabled-image {
    pointer-events: none;
    filter: grayscale(100%);
    /* Ändert das Bild in Graustufen */
}
body {
    background-image: url("../img/background.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    margin: 0;
    padding: 0;
    height: 100vh;
}
.container {
    width: 80%;
    margin: 0 auto;
    background-color: rgba(35, 35, 35, 0.85);
    padding: 20px;
    border: 2px solid #333;
    border-radius: 0 0 50px 50px;
    box-shadow: 0 0 50px rgba(0, 0, 0, 0.9);
    position: relative;
}
.heady {
    width: 80%;
    display: flex;
    margin: 0 auto;
}
.header {
    color: #ffffff;
    font-size: 7vw;
    padding: 0;
    margin: 0 3%;
}
.headerlogin {
    text-align: center;
    color: #ffffff;
    font-size: 17vw;
    padding: 0;
    margin: 0 3% 15%;
}
.label2 {
    display: contents;
}
.label1 {
    margin: 0 10%;
    display: block;
    padding: 0;
    font-size: 4vw;
    color: #f8f8f8;
}
input[type="text"],
input[type="password"],
#customFileUpload,
select {
    font-size: 4.5vw;
    width: 80%;
    padding: 2%;
    border: 0 solid #ffffff;
    border-radius: 30px;
    text-align: center;
    justify-content: center;
    display: flex;
    margin: 0 auto 4%;
    background-color: #fff;
}
input[type="file"] {
    position: absolute;
    width: 1px;
    height: 1px;
    left: 50%;
    padding: 4%;
    z-index: -1;
}
#fileStatusIcon {
    display: none;
    position: absolute;
    color: #37ff6c;
    z-index: 4;
    left: 80%;
}
#registerButton {
    font-size: 5vw;
    background-color: #333;
    color: #fff;
    border: none;
    padding: 5% 3%;
    border-radius: 20px;
    cursor: pointer;
}
#registerButton:hover {
    background-color: #444;
}
.center {
    display: flex;
    justify-content: center;
    align-items: center;
}
button[TYPE="submit"] {
    display: flex;
    text-align: center;
    margin: 10% 0 15%;
}
.hamburgermenu{
    padding: 5vw 5vw;
}
.hamburger-icon {
    width: 7vw;
    height: 5vw;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.bar {
    width: 100%;
    height: 8px;
    background-color: #333;
}
.menu-content {
    display: none;
    position: absolute; /* Position "absolut" verwenden */
    background-color: rgba(35, 35, 35, 0.85);
    z-index: 5;
}
.menu-content.open {
    display: flex;
    flex-direction: column;
    right: 5%;
    top: 7vh;
    border-radius: 5vw;
    padding: 5%;
}
.hampunk{
    color: #fff;
    text-decoration: none;
    font-size: 5vw;
    font-weight: 600;
    padding: 5vw 0vw 2.5vw 5vw;
}
.discription-layer {
    margin: -20vw 3vw 0vw;
    padding: 17vw 0 3vw;
    display: flex;
    justify-content: center;
    border: rgba(255, 255, 255, 0.5) solid 1px;
    border-top: none;
    border-radius: 6vw;
}

.profile-description {
    width: 80%;
    font-size: 3vw;
    font-weight: 200;
    margin: 10vw 0vw 0vw 0vw;
    cursor: default;
}
.discription-layer2 {
    margin: -5.56vw 3vw 0vw;
    padding: 5vw 0vw 0vw;
    display: flex;
    justify-content: center;
    border: rgba(255, 255, 255, 0.5) solid 1px;
    border-top: none;
    border-radius: 0 0 6vw 6vw;
}
.discription-layer3 {
    margin: -5.56vw 3vw 0vw;
    padding: 10vw 0vw 5vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border: rgba(255, 255, 255, 0.5) solid 1px;
    border-top: none;
    border-radius: 0 0 6vw 6vw;
}
.profile-description2 {
    width: 50%;
    height: 50%;
    font-size: 15vw;
    font-weight: 200;
    margin: 5vw 0vw 0vw 0vw;
    text-align: center;
}
.profile-description3 {
    width: auto;
    font-size: 3vw;
    font-weight: 200;
    padding: 0 1vw;
    margin: 1vw;
    cursor: default;
}
.testerli {
    position: absolute;
    left: 66.5vw;
    font-size: 4vw;
    font-weight: 500;
}
.dislayer {
    position: absolute;
    font-size: 3.6vw;
    font-weight: 600;
    left: 7vw;
}
.dislayer2 {
    position: absolute;
    font-size: 3.6vw;
    font-weight: 600;
    left: 17.5vw;
}
.dislayer-right {
    position: absolute;
    font-size: 3.6vw;
    font-weight: 600;
    right: 15vw;
}
.dislayer-right2 {
    position: absolute;
    font-size: 3.6vw;
    font-weight: 600;
    right: 9vw;
}



/**/



/* CSS für das Popup */
.popup-profile {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 99;
}

.popup-content-profile {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 5vw 5vw 0;
    border-radius: 5vw;
    box-shadow: 0 2vw 5vw rgba(0, 0, 0, 0.3);
    text-align: center;
    font-size: 3.5vw;
}

.close-profile {
    position: relative;
    font-size: 20px;
    cursor: pointer;
}

.popproftext {
    font-size: 3.3vw;
    font-family: Poppins;
    color: black;
    border: none;
}
.popprofbud{
    position: relative;
    right: 0vw;
    font-size: 5vw;
    top: 7vw;
    border-radius: 0 0 4vw 0;
    margin: 0;
}


/*  CHAT  */
.chatwith{
    font-size: 5vw;
    margin: 0 0 3vw 0;
    padding: 0; 
    color: #fff;
    text-decoration: none;
    padding: auto 5vw;
    display: flex;
}
.chatlist{
    list-style: none;
}
.msgpic{
    border-radius: 50%;
    width: 12vw;
    height: 15vw;
    object-fit: cover;
    justify-content: center;
    margin: 0 5vw;
}
.profile-image-chat {
    display: flex;
    justify-content: right;
    max-width: 100%;
    /* Maximale Breite des Bildes */
    max-height: 100%;
    /* Maximale Höhe des Bildes */
    width: 5vw;
    /* Automatische Breiteneinstellung */
    height: 5vw;
    /* Automatische Höheneinstellung */
    object-fit: cover;
    border: 1px solid #ddd;
    /* Optionale Rahmengestaltung */
    border-radius: 1vw;
    /* Runde Ecken für das Bild (optional) */
    padding: 0;
    box-shadow: 0 0 50px rgb(0, 0, 0);
    opacity: 1;
    position: relative; /* Ändern Sie die Position auf 'relative' */
    z-index: 1;
    margin: 0vw 4vw 0vw 0vw;
}
.chatsenden {
    margin: 0;
    padding: 0;
}

.chat-box {
    height: 60vh; /* Ändern Sie die Höhe nach Bedarf */
    overflow-y: scroll;
    padding: 10px; /* Optional: Fügen Sie Innenabstand hinzu */
}
.message {
    font-size: 3.5vw;
    margin: 0vw 0vw 2vw 0vw;
    padding: 0; /* Optional: Fügen Sie Abstand zwischen den Nachrichten hinzu */
}
.messagetop {
    font-size: 3.5vw;
    padding: 0;
    margin: 0 0 0px 0;
}





/* Stile für die Nachrichtencontainer */
.message-container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    max-width: 80%;
    word-wrap: break-word;
}

.user-message {
    justify-content: flex-start;
}

.partner-message {
    justify-content: flex-end;
    margin: 3vw 0vw 0vw auto;
}

/* Stile für die Nachrichteninhalte */
.message-content {
    background-color: #f2f2f2;
    border-radius: 5px;
    padding: 2vw;
    max-width: 80%;
    word-wrap: break-word;
}

.user-message-content {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 0vw 3vw 3vw 3vw;
    padding: 2vw 4vw 0vw;
    max-width: fit-content;
    margin: 0 auto 3vw 0;
    word-wrap: break-word;
    width: 80%;
    display: flex;
    justify-content: flex-start;
    text-align: left;
}

.partner-message-content {
    background-color: rgb(0, 123, 255, 0.2);
    color: #fff;
    border-radius: 3vw 0vw 3vw 3vw;
    padding: 2vw 4vw 0vw;
    max-width: fit-content;
    word-wrap: break-word;
    margin: 0vw 0vw 3vw auto;
    display: flex;
    justify-content: flex-end;
    text-align: right;
    width: 80%;
}



/* PROFILE EDIT */

/* CSS für das Popup-Fenster */
.proeditpopup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.proeditpopup-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #000000;
    background-color: #fff;
    padding: 20px;
    border: 1px solid #ccc;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    text-align: center;
}

.proeditclose-popup {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 5vw;
    cursor: pointer;
    color: black;
}

/* Stil für das Textarea und die Schaltflächen */
.proedittxt {
    width: 100%;
    margin-bottom: 10px;
    font-size: 3vw;
}

.proeditbut {
    padding: 10px 20px;
    margin: 0 10px;
    font-size: 5vw;
}
#interests-form {
    display: grid;
    grid-template-columns: repeat(6, 9fr);
    color: black;
    font-size: 3vw;
}
#save-birthdate,
#cancel-birthdate,
#save-description,
#cancel-description,
#save-gender,
#cancel-gender,
#save-search-preference,
#cancel-search-preference, 
#save-interests, 
#cancel-interests {
    font-size: 3vw;
    margin: 1vw;
}
.edittitle{
    font-size: 4vw;
    font-weight: 600;
}
#edit-birthdate {
    font-size: 4vw;
    margin: 5vw;
}